package  {	
	/**
	 * ...
	 * @author Alex Nino (yoambulante.com)
	 */
	public class Instrument{
		private var sampleIndex:uint;
		private var samples:Vector.<Vector.<MySamplerKey>>;
		private var _channel:uint;
		public function Instrument(chl:uint, samplesNum:uint) {
			_channel = chl;
			sampleIndex = 0;
			samples = new Vector.<Vector.<MySamplerKey>>(7, true);
			samples[0] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[1] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[2] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[3] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[4] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[5] = new Vector.<MySamplerKey>(samplesNum, true);
			samples[6] = new Vector.<MySamplerKey>(samplesNum, true);
		}
		public function setSamplerKey(index:uint, key0:MySamplerKey, key1:MySamplerKey, key2:MySamplerKey, key3:MySamplerKey, key4:MySamplerKey, key5:MySamplerKey, key6:MySamplerKey):void {
			samples[0][index] = key0;
			samples[1][index] = key1;
			samples[2][index] = key2;
			samples[3][index] = key3;
			samples[4][index] = key4;
			samples[5][index] = key5;
			samples[6][index] = key6;
		}
		public function setSampleIndex(index:uint):void {
			sampleIndex = index;
		}
		public function getKey(trans:uint):MySamplerKey {
			return samples[trans][sampleIndex];
		}
		public function get channel():uint { return _channel; }
		
	}

}